/*
 * Copyright (c) 2011, Oracle and/or its affiliates. All rights reserved.
 * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
 *
 * This code is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License version 2 only, as
 * published by the Free Software Foundation.
 *
 * This code is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
 * version 2 for more details (a copy is included in the LICENSE file that
 * accompanied this code).
 *
 * You should have received a copy of the GNU General Public License version
 * 2 along with this work; if not, write to the Free Software Foundation,
 * Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 * Please contact Sun Microsystems, Inc., 4150 Network Circle, Santa Clara,
 * CA 95054 USA or visit www.sun.com if you need additional information or
 * have any questions.
 *
 */

package sun.jvm.hotspot.prims;

import java.util.*;
import sun.jvm.hotspot.debugger.*;
import sun.jvm.hotspot.runtime.*;
import sun.jvm.hotspot.oops.*;
import sun.jvm.hotspot.types.*;

public class JvmtiExport {
  static {
    VM.registerVMInitializedObserver(new Observer() {
        public void update(Observable o, Object data) {
          initialize(VM.getVM().getTypeDataBase());
        }
      });
  }

  private static synchronized void initialize(TypeDataBase db) throws WrongTypeException {
    Type type      = db.lookupType("JvmtiExport");
    // XXX
    // canAccessLocalVariables =    type.getCIntegerField("_can_access_local_variables");
    // canHotswapOrPostBreakpoint = type.getCIntegerField("_can_hotswap_or_post_breakpoint");
    // canPostOnExceptions =        type.getCIntegerField("_can_post_on_exceptions");
  }

  private static CIntegerField canAccessLocalVariables;
  private static CIntegerField canHotswapOrPostBreakpoint;
  private static CIntegerField canPostOnExceptions;

  public static boolean canAccessLocalVariables() {
    // return canAccessLocalVariables.getValue() != 0;
    return false;
  }
  public static boolean canHotswapOrPostBreakpoint() {
    // return canHotswapOrPostBreakpoint.getValue() != 0;
    return false;
  }
  public static boolean canPostOnExceptions() {
    // return canPostOnExceptions.getValue() != 0;
    return false;
  }
}
