/*
 * Copyright (c) 1997, 2015, Oracle and/or its affiliates. All rights reserved.
 * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
 *
 * This code is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License version 2 only, as
 * published by the Free Software Foundation.  Oracle designates this
 * particular file as subject to the "Classpath" exception as provided
 * by Oracle in the LICENSE file that accompanied this code.
 *
 * This code is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
 * version 2 for more details (a copy is included in the LICENSE file that
 * accompanied this code).
 *
 * You should have received a copy of the GNU General Public License version
 * 2 along with this work; if not, write to the Free Software Foundation,
 * Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 * Please contact Oracle, 500 Oracle Parkway, Redwood Shores, CA 94065 USA
 * or visit www.oracle.com if you need additional information or have any
 * questions.
 */

/*
 * (C) Copyright Taligent, Inc. 1996, 1997 - All Rights Reserved
 * (C) Copyright IBM Corp. 1996 - 1998 - All Rights Reserved
 *
 * The original version of this source code and documentation
 * is copyrighted and owned by Taligent, Inc., a wholly-owned
 * subsidiary of IBM. These materials are provided under terms
 * of a License Agreement between Taligent and Sun. This technology
 * is protected by multiple US and International patents.
 *
 * This notice and attribution to Taligent may not be removed.
 * Taligent is a registered trademark of Taligent, Inc.
 *
 */

package sun.util.resources;

public final class TimeZoneNames_es extends TimeZoneNamesBundle {

    protected final Object[][] getContents() {
        String ACT[] = new String[] {"Hora de Acre", "ACT",
                                     "Hora de verano de Acre", "ACST"};
        String ADELAIDE[] = new String[] {"Hora est\u00E1ndar Central (Sur de Australia)", "ACST",
                                          "Hora de verano Central (Sur de Australia)", "ACDT"};
        String AGT[] = new String[] {"Hora de Argentina", "ART",
                                     "Hora de verano de Argentina", "ARST"};
        String AKST[] = new String[] {"Hora est\u00e1ndar de Alaska", "AKST",
                                      "Hora de verano de Alaska", "AKDT"};
        String AMT[] = new String[] {"Hora est\u00e1ndar de Amazonia", "AMT",
                                     "Hora de verano de Amazonia", "AMST"};
        String ARAST[] = new String[] {"Hora est\u00e1ndar de Arabia", "AST",
                                       "Hora de verano de Arabia", "ADT"};
        String ARMT[] = new String[] {"Hora de Armenia", "AMT",
                                      "Hora de verano de Armenia", "AMST"};
        String AST[] = new String[] {"Hora est\u00e1ndar Atl\u00e1ntico", "AST",
                                     "Hora de verano Atl\u00e1ntico", "ADT"};
        String BDT[] = new String[] {"Hora de Bangladesh", "BDT",
                                     "Hora de verano de Bangladesh", "BDST"};
        String BRISBANE[] = new String[] {"Hora est\u00E1ndar del Este (Queensland)", "AEST",
                                          "Hora est\u00E1ndar de verano del Este (Queensland)", "AEDT"};
        String BROKEN_HILL[] = new String[] {"Hora est\u00E1ndar Central (Sur de Australia/Nueva Gales del Sur)", "ACST",
                                             "Hora de verano Central (Sur de Australia/Nueva Gales del Sur)", "ACDT"};
        String BRT[] = new String[] {"Hora de Brasil", "BRT",
                                     "Hora de verano de Brasil", "BRST"};
        String BTT[] = new String[] {"Hora de But\u00e1n", "BTT",
                                     "Hora de verano de But\u00e1n", "BTST"};
        String CAT[] = new String[] {"Hora de \u00c1frica Central", "CAT",
                                     "Hora de verano de \u00c1frica Central", "CAST"};
        String CET[] = new String[] {"Hora de Europa Central", "CET",
                                     "Hora de verano de Europa Central", "CEST"};
        String CHAST[] = new String[] {"Hora est\u00e1ndar de Chatham", "CHAST",
                                       "Hora de verano de Chatham", "CHADT"};
        String ChST[] = new String[] {"Hora est\u00e1ndar de Chamorro", "ChST",
                                      "Hora de verano de Chamorro", "ChDT"};
        String CHUT[] = new String[] {"Hora de Chuuk", "CHUT",
                                      "Hora de verano de Chuuk", "CHUST"};
        String CIT[] = new String[] {"Hora de Indonesia Central", "WITA",
                                     "Hora de verano de Indonesia Central", "CIST"};
        String CLT[] = new String[] {"Hora de Chile", "CLT",
                                     "Hora de verano de Chile", "CLST"};
        String CST[] = new String[] {"Hora est\u00e1ndar Central", "CST",
                                     "Hora de verano Central", "CDT"};
        String CTT[] = new String[] {"Hora est\u00e1ndar de China", "CST",
                                     "Hora de verano de China", "CDT"};
        String CUBA[] = new String[] {"Hora est\u00e1ndar de Cuba", "CST",
                                      "Hora de verano de Cuba", "CDT"};
        String DARWIN[] = new String[] {"Hora est\u00E1ndar Central (territorio del Norte)", "ACST",
                                        "Hora de verano Central (territorio del Norte)", "ACDT"};
        String DUBLIN[] = new String[] {"Hora del Meridiano de Greenwich", "GMT",
                                        "Hora de verano de Irlanda", "IST"};
        String EAT[] = new String[] {"Hora de \u00c1frica Oriental", "EAT",
                                     "Hora de verano de \u00c1frica Oriental", "EAST"};
        String EASTER[] = new String[] {"Hora de la Isla de Pascua", "EAST",
                                        "Hora de verano de la Isla de Pascua", "EASST"};
        String EET[] = new String[] {"Hora de Europa Oriental", "EET",
                                     "Hora de verano de Europa Oriental", "EEST"};
        String EGT[] = new String[] {"Hora de Groenlandia Oriental", "EGT",
                                     "Hora de verano de Groenlandia Oriental", "EGST"};
        String EST[] = new String[] {"Hora est\u00e1ndar Oriental", "EST",
                                     "Hora de verano Oriental", "EDT"};
        String EST_NSW[] = new String[] {"Hora est\u00E1ndar Oriental (Nueva Gales del Sur)", "AEST",
                                         "Hora de verano Oriental (Nueva Gales del Sur)", "AEDT"};
        String FET[] = new String[] {"Hora de Europa m\u00E1s Oriental", "FET",
                                     "Hora de verano de Europa m\u00E1s Oriental", "FEST"};
        String GHMT[] = new String[] {"Hora central de Ghana", "GMT",
                                      "Hora de verano de Ghana", "GHST"};
        String GAMBIER[] =  new String[] {"Hora de Gambier", "GAMT",
                                          "Hora de verano de Gambier", "GAMST"};
        String GMT[] = new String[] {"Hora del Meridiano de Greenwich", "GMT",
                                     "Hora del Meridiano de Greenwich", "GMT"};
        String GMTBST[] = new String[] {"Hora del Meridiano de Greenwich", "GMT",
                                        "Hora de verano de Gran Breta\u00f1a", "BST"};
        String GST[] = new String[] {"Hora est\u00e1ndar del Golfo", "GST",
                                     "Hora de verano del Golfo", "GDT"};
        String HAST[] = new String[] {"Hora est\u00e1ndar de Hawaii-Aleutianas", "HAST",
                                      "Hora de verano de Hawaii-Aleutianas", "HADT"};
        String HKT[] =  new String[] {"Hora de Hong Kong", "HKT",
                                      "Hora de verano de Hong Kong", "HKST"};
        String HST[] = new String[] {"Hora est\u00e1ndar de Hawaii", "HST",
                                     "Hora de verano de Hawaii", "HDT"};
        String ICT[] = new String[] {"Hora de Indochina", "ICT",
                                     "Hora de verano de Indochina", "ICST"};
        String IRT[] = new String[] {"Hora est\u00e1ndar de Ir\u00e1n", "IRST",
                                     "Hora de verano de Ir\u00e1n", "IRDT"};
        String ISRAEL[] = new String[] {"Hora est\u00e1ndar de Israel", "IST",
                                        "Hora de verano de Israel", "IDT"};
        String IST[] = new String[] {"Hora est\u00e1ndar de India", "IST",
                                     "Hora de verano de India", "IDT"};
        String JST[] = new String[] {"Hora est\u00e1ndar de Jap\u00f3n", "JST",
                                     "Hora de verano de Jap\u00f3n", "JDT"};
        String KRAT[] = new String[] {"Hora de Krasnoyarsk", "KRAT",
                                      "Hora de verano de Krasnoyarsk", "KRAST"};
        String KST[] = new String[] {"Hora est\u00e1ndar de Corea", "KST",
                                     "Hora de verano de Corea", "KDT"};
        String LORD_HOWE[] = new String[] {"Hora est\u00e1ndar de Lord Howe", "LHST",
                                           "Hora de verano de Lord Howe", "LHDT"};
        String MHT[] = new String[] {"Hora de las Islas Marshall", "MHT",
                                     "Hora de verano de las Islas Marshall", "MHST"};
        String MSK[] = new String[] {"Hora est\u00e1ndar de Mosc\u00fa", "MSK",
                                     "Hora de verano de Mosc\u00fa", "MSD"};
        String MST[] = new String[] {"Hora est\u00e1ndar de las Rocosas", "MST",
                                     "Hora de verano de las Rocosas", "MDT"};
        String MYT[] = new String[] {"Hora de Malasia", "MYT",
                                     "Hora de verano de Malasia", "MYST"};
        String NORONHA[] = new String[] {"Hora de Fernando de Noronha", "FNT",
                                         "Hora de verano de Fernando de Noronha", "FNST"};
        String NOVT[] = new String[] {"Hora de Novosibirsk", "NOVT",
                                      "Hora de verano de Novosibirsk", "NOVST"};
        String NPT[] = new String[] {"Hora de Nepal", "NPT",
                                     "Hora de verano de Nepal", "NPST"};
        String NST[] = new String[] {"Hora est\u00e1ndar de Terranova", "NST",
                                     "Hora de verano de Terranova", "NDT"};
        String NZST[] = new String[] {"Hora est\u00e1ndar de Nueva Zelanda", "NZST",
                                      "Hora de verano de Nueva Zelanda", "NZDT"};
        String PITCAIRN[] = new String[] {"Hora est\u00e1ndar de Pitcairn", "PST",
                                          "Hora de verano de Pitcairn", "PDT"};
        String PKT[] = new String[] {"Hora de Pakist\u00e1n", "PKT",
                                     "Hora de verano de Pakist\u00e1n", "PKST"};
        String PONT[] = new String[] {"Hora de Pohnpei", "PONT",
                                      "Hora de verano de Pohnpei", "PONST"};
        String PST[] = new String[] {"Hora est\u00e1ndar del Pac\u00edfico", "PST",
                                     "Hora de verano del Pac\u00edfico", "PDT"};
        String SAMOA[] = new String[] {"Hora est\u00e1ndar de Samoa", "SST",
                                       "Hora de verano de Samoa", "SDT"};
        String IRKT[] = new String[] {"Hora de Irkutsk", "IRKT",
                                      "Hora de verano de Irkutsk", "IRKST"};
        String SAST[] = new String[] {"Hora est\u00e1ndar de Sud\u00e1frica", "SAST",
                                      "Hora de verano de Sud\u00e1frica", "SAST"};
        String SBT[] = new String[] {"Hora de las Islas Solomon", "SBT",
                                     "Hora de verano de las Islas Solomon", "SBST"};
        String SGT[] = new String[] {"Hora de Singapur", "SGT",
                                     "Hora de verano de  Singapur", "SGST"};
        String TASMANIA[] = new String[] {"Hora est\u00E1ndar del Este (Tasmania)", "AEST",
                                          "Hora de verano del Este (Tasmania)", "AEDT"};
        String TMT[] = new String[] {"Hora de Turkmenist\u00e1n", "TMT",
                                     "Hora de verano de Turkmenist\u00e1n", "TMST"};
        String ULAT[]= new String[] {"Hora de Ulan Bator", "ULAT",
                                     "Hora de verano de Ulan Bator", "ULAST"};
        String UTC[] = new String[] {"Hora Universal Coordinada", "UTC",
                                     "Hora Universal Coordinada", "UTC"};
        String UZT[] = new String[] {"Hora de Uzbekist\u00e1n", "UZT",
                                     "Hora de verano de Uzbekist\u00e1n", "UZST"};
        String VICTORIA[] = new String[] {"Hora est\u00E1ndar del Este (Victoria)", "AEST",
                                          "Hora de verano del Este (Victoria)", "AEDT"};
        String VLAT[] = new String[] {"Hora de Vladivostok", "VLAT",
                                      "Hora de verano de Vladivostok", "VLAST"};
        String WAT[] = new String[] {"Hora de \u00c1frica Occidental", "WAT",
                                     "Hora de verano de \u00c1frica Occidental", "WAST"};
        String WET[] = new String[] {"Hora de Europa Occidental", "WET",
                                     "Hora de verano de Europa Occidental", "WEST"};
        String WIT[] = new String[] {"Hora de Indonesia Occidental", "WIB",
                                     "Indonesia Hora de verano de Indonesia Occidental", "WIST"};
        String WST_AUS[] = new String[] {"Hora est\u00E1ndar Occidental (Australia)", "AWST",
                                         "Hora de verano Occidental (Australia)", "AWDT"};
        String WST_SAMOA[] = new String[] {"Hora de Samoa Occidental", "WSST",
                                           "Hora de verano de Samoa Occidental", "WSDT"};
        String XJT[] = new String[] {"Hora est\u00e1ndar de China", "XJT",
                                     "Hora de verano de China", "XJDT"};
        String YAKT[] = new String[] {"Hora de Yakutsk", "YAKT",
                                      "Hora de verano de Yakutsk", "YAKST"};

        return new Object[][] {
            {"America/Los_Angeles", PST},
            {"PST", PST},
            {"America/Denver", MST},
            {"MST", MST},
            {"America/Phoenix", MST},
            {"PNT", MST},
            {"America/Chicago", CST},
            {"CST", CST},
            {"America/New_York", EST},
            {"EST", EST},
            {"America/Indianapolis", EST},
            {"IET", EST},
            {"Pacific/Honolulu", HST},
            {"HST", HST},
            {"America/Anchorage", AKST},
            {"AST", AKST},
            {"America/Halifax", AST},
            {"America/Sitka", AKST},
            {"America/St_Johns", NST},
            {"CNT", NST},
            {"Europe/Paris", CET},
            {"ECT", CET},
            {"GMT", GMT},
            {"Africa/Casablanca", WET},
            {"Asia/Jerusalem", ISRAEL},
            {"Asia/Tokyo", JST},
            {"JST", JST},
            {"Europe/Bucharest", EET},
            {"Asia/Shanghai", CTT},
            {"CTT", CTT},
            /* Don't change the order of the above zones
             * to keep compatibility with the previous version.
             */

            {"ACT", DARWIN},
            {"AET", EST_NSW},
            {"AGT", AGT},
            {"ART", EET},
            {"Africa/Abidjan", GMT},
            {"Africa/Accra", GHMT},
            {"Africa/Addis_Ababa", EAT},
            {"Africa/Algiers", CET},
            {"Africa/Asmara", EAT},
            {"Africa/Asmera", EAT},
            {"Africa/Bamako", GMT},
            {"Africa/Bangui", WAT},
            {"Africa/Banjul", GMT},
            {"Africa/Bissau", GMT},
            {"Africa/Blantyre", CAT},
            {"Africa/Brazzaville", WAT},
            {"Africa/Bujumbura", CAT},
            {"Africa/Cairo", EET},
            {"Africa/Ceuta", CET},
            {"Africa/Conakry", GMT},
            {"Africa/Dakar", GMT},
            {"Africa/Dar_es_Salaam", EAT},
            {"Africa/Djibouti", EAT},
            {"Africa/Douala", WAT},
            {"Africa/El_Aaiun", WET},
            {"Africa/Freetown", GMT},
            {"Africa/Gaborone", CAT},
            {"Africa/Harare", CAT},
            {"Africa/Johannesburg", SAST},
            {"Africa/Juba", EAT},
            {"Africa/Kampala", EAT},
            {"Africa/Khartoum", EAT},
            {"Africa/Kigali", CAT},
            {"Africa/Kinshasa", WAT},
            {"Africa/Lagos", WAT},
            {"Africa/Libreville", WAT},
            {"Africa/Lome", GMT},
            {"Africa/Luanda", WAT},
            {"Africa/Lubumbashi", CAT},
            {"Africa/Lusaka", CAT},
            {"Africa/Malabo", WAT},
            {"Africa/Maputo", CAT},
            {"Africa/Maseru", SAST},
            {"Africa/Mbabane", SAST},
            {"Africa/Mogadishu", EAT},
            {"Africa/Monrovia", GMT},
            {"Africa/Nairobi", EAT},
            {"Africa/Ndjamena", WAT},
            {"Africa/Niamey", WAT},
            {"Africa/Nouakchott", GMT},
            {"Africa/Ouagadougou", GMT},
            {"Africa/Porto-Novo", WAT},
            {"Africa/Sao_Tome", GMT},
            {"Africa/Timbuktu", GMT},
            {"Africa/Tripoli", EET},
            {"Africa/Tunis", CET},
            {"Africa/Windhoek", WAT},
            {"America/Adak", HAST},
            {"America/Anguilla", AST},
            {"America/Antigua", AST},
            {"America/Araguaina", BRT},
            {"America/Argentina/Buenos_Aires", AGT},
            {"America/Argentina/Catamarca", AGT},
            {"America/Argentina/ComodRivadavia", AGT},
            {"America/Argentina/Cordoba", AGT},
            {"America/Argentina/Jujuy", AGT},
            {"America/Argentina/La_Rioja", AGT},
            {"America/Argentina/Mendoza", AGT},
            {"America/Argentina/Rio_Gallegos", AGT},
            {"America/Argentina/Salta", AGT},
            {"America/Argentina/San_Juan", AGT},
            {"America/Argentina/San_Luis", AGT},
            {"America/Argentina/Tucuman", AGT},
            {"America/Argentina/Ushuaia", AGT},
            {"America/Aruba", AST},
            {"America/Asuncion", new String[] {"Hora de Paraguay", "PYT",
                                               "Hora de verano de Paraguay", "PYST"}},
            {"America/Atikokan", EST},
            {"America/Atka", HAST},
            {"America/Bahia", BRT},
            {"America/Bahia_Banderas", CST},
            {"America/Barbados", AST},
            {"America/Belem", BRT},
            {"America/Belize", CST},
            {"America/Blanc-Sablon", AST},
            {"America/Boa_Vista", AMT},
            {"America/Bogota", new String[] {"Hora de Colombia", "COT",
                                             "Hora de verano de Colombia", "COST"}},
            {"America/Boise", MST},
            {"America/Buenos_Aires", AGT},
            {"America/Cambridge_Bay", MST},
            {"America/Campo_Grande", AMT},
            {"America/Cancun", EST},
            {"America/Caracas", new String[] {"Hora de Venezuela", "VET",
                                              "Hora de verano de Venezuela", "VEST"}},
            {"America/Catamarca", AGT},
            {"America/Cayenne", new String[] {"Hora de la Guayana Francesa", "GFT",
                                              "Hora de verano de la Guayana Francesa", "GFST"}},
            {"America/Cayman", EST},
            {"America/Chihuahua", MST},
            {"America/Creston", MST},
            {"America/Coral_Harbour", EST},
            {"America/Cordoba", AGT},
            {"America/Costa_Rica", CST},
            {"America/Cuiaba", AMT},
            {"America/Curacao", AST},
            {"America/Danmarkshavn", GMT},
            {"America/Dawson", PST},
            {"America/Dawson_Creek", MST},
            {"America/Detroit", EST},
            {"America/Dominica", AST},
            {"America/Edmonton", MST},
            {"America/Eirunepe", ACT},
            {"America/El_Salvador", CST},
            {"America/Ensenada", PST},
            {"America/Fort_Wayne", EST},
            {"America/Fortaleza", BRT},
            {"America/Glace_Bay", AST},
            {"America/Godthab", new String[] {"Hora de Groenlandia Occidental", "WGT",
                                              "Hora de verano de Groenlandia Occidental", "WGST"}},
            {"America/Goose_Bay", AST},
            {"America/Grand_Turk", AST},
            {"America/Grenada", AST},
            {"America/Guadeloupe", AST},
            {"America/Guatemala", CST},
            {"America/Guayaquil", new String[] {"Hora de Ecuador", "ECT",
                                                "Hora de verano de Ecuador", "ECST"}},
            {"America/Guyana", new String[] {"Hora de Guyana", "GYT",
                                             "Hora de verano de Guyana", "GYST"}},
            {"America/Havana", CUBA},
            {"America/Hermosillo", MST},
            {"America/Indiana/Indianapolis", EST},
            {"America/Indiana/Knox", CST},
            {"America/Indiana/Marengo", EST},
            {"America/Indiana/Petersburg", EST},
            {"America/Indiana/Tell_City", CST},
            {"America/Indiana/Vevay", EST},
            {"America/Indiana/Vincennes", EST},
            {"America/Indiana/Winamac", EST},
            {"America/Inuvik", MST},
            {"America/Iqaluit", EST},
            {"America/Jamaica", EST},
            {"America/Jujuy", AGT},
            {"America/Juneau", AKST},
            {"America/Kentucky/Louisville", EST},
            {"America/Kentucky/Monticello", EST},
            {"America/Knox_IN", CST},
            {"America/Kralendijk", AST},
            {"America/La_Paz", new String[] {"Hora de Bolivia", "BOT",
                                             "Hora de verano de Bolivia", "BOST"}},
            {"America/Lima", new String[] {"Hora de Per\u00fa", "PET",
                                           "Hora de verano de Per\u00fa", "PEST"}},
            {"America/Louisville", EST},
            {"America/Lower_Princes", AST},
            {"America/Maceio", BRT},
            {"America/Managua", CST},
            {"America/Manaus", AMT},
            {"America/Marigot", AST},
            {"America/Martinique", AST},
            {"America/Matamoros", CST},
            {"America/Mazatlan", MST},
            {"America/Mendoza", AGT},
            {"America/Menominee", CST},
            {"America/Merida", CST},
            {"America/Metlakatla", PST},
            {"America/Mexico_City", CST},
            {"America/Miquelon", new String[] {"Hora est\u00e1ndar de Pierre & Miquelon", "PMST",
                                               "Hora de verano de Pierre & Miquelon", "PMDT"}},
            {"America/Moncton", AST},
            {"America/Montevideo", new String[] {"Hora de Uruguay", "UYT",
                                                 "Hora de verano de Uruguay", "UYST"}},
            {"America/Monterrey", CST},
            {"America/Montreal", EST},
            {"America/Montserrat", AST},
            {"America/Nassau", EST},
            {"America/Nipigon", EST},
            {"America/Nome", AKST},
            {"America/Noronha", NORONHA},
            {"America/North_Dakota/Beulah", CST},
            {"America/North_Dakota/Center", CST},
            {"America/North_Dakota/New_Salem", CST},
            {"America/Ojinaga", MST},
            {"America/Panama", EST},
            {"America/Pangnirtung", EST},
            {"America/Paramaribo", new String[] {"Hora de Surinam", "SRT",
                                                 "Hora de verano de Surinam", "SRST"}},
            {"America/Port-au-Prince", EST},
            {"America/Port_of_Spain", AST},
            {"America/Porto_Acre", ACT},
            {"America/Porto_Velho", AMT},
            {"America/Puerto_Rico", AST},
            {"America/Rainy_River", CST},
            {"America/Rankin_Inlet", CST},
            {"America/Recife", BRT},
            {"America/Regina", CST},
            {"America/Resolute", CST},
            {"America/Rio_Branco", ACT},
            {"America/Rosario", AGT},
            {"America/Santa_Isabel", PST},
            {"America/Santarem", BRT},
            {"America/Santiago", CLT},
            {"America/Santo_Domingo", AST},
            {"America/Sao_Paulo", BRT},
            {"America/Scoresbysund", EGT},
            {"America/Shiprock", MST},
            {"America/St_Barthelemy", AST},
            {"America/St_Kitts", AST},
            {"America/St_Lucia", AST},
            {"America/St_Thomas", AST},
            {"America/St_Vincent", AST},
            {"America/Swift_Current", CST},
            {"America/Tegucigalpa", CST},
            {"America/Thule", AST},
            {"America/Thunder_Bay", EST},
            {"America/Tijuana", PST},
            {"America/Toronto", EST},
            {"America/Tortola", AST},
            {"America/Vancouver", PST},
            {"America/Virgin", AST},
            {"America/Whitehorse", PST},
            {"America/Winnipeg", CST},
            {"America/Yakutat", AKST},
            {"America/Yellowknife", MST},
            {"Antarctica/Casey", WST_AUS},
            {"Antarctica/Davis", new String[] {"Hora de Davis", "DAVT",
                                               "Hora de verano de Davis", "DAVST"}},
            {"Antarctica/DumontDUrville", new String[] {"Hora de Dumont-d'Urville", "DDUT",
                                                        "Hora de verano de Dumont-d'Urville", "DDUST"}},
            {"Antarctica/Macquarie", new String[] {"Hora de Isla Macquarie", "MIST",
                                                   "Hora de verano de Isla Macquarie", "MIDT"}},
            {"Antarctica/Mawson", new String[] {"Hora de Mawson", "MAWT",
                                                "Hora de verano de Mawson", "MAWST"}},
            {"Antarctica/McMurdo", NZST},
            {"Antarctica/Palmer", CLT},
            {"Antarctica/Rothera", new String[] {"Hora de Rothera", "ROTT",
                                                 "Hora de verano de Rothera", "ROTST"}},
            {"Antarctica/South_Pole", NZST},
            {"Antarctica/Syowa", new String[] {"Hora de Syowa", "SYOT",
                                               "Hora de verano de Syowa", "SYOST"}},
            {"Antarctica/Troll", new String[] {"Hora Universal Coordinada", "UTC",
                                               "Hora de verano de Europa Central", "CEST"}},
            {"Antarctica/Vostok", new String[] {"Hora de Vostok", "VOST",
                                                "Hora de verano de Vostok", "VOSST"}},
            {"Arctic/Longyearbyen", CET},
            {"Asia/Aden", ARAST},
            {"Asia/Almaty", new String[] {"Hora de Alma-Ata", "ALMT",
                                          "Hora de verano de Alma-Ata", "ALMST"}},
            {"Asia/Amman", EET},
            {"Asia/Anadyr", new String[] {"Hora de Anadyr", "ANAT",
                                          "Hora de verano de Anadyr", "ANAST"}},
            {"Asia/Aqtau", new String[] {"Hora de Aqtau", "AQTT",
                                         "Hora de verano de Aqtau", "AQTST"}},
            {"Asia/Aqtobe", new String[] {"Hora de Aqtobe", "AQTT",
                                          "Hora de verano de Aqtobe", "AQTST"}},
            {"Asia/Ashgabat", TMT},
            {"Asia/Ashkhabad", TMT},
            {"Asia/Baghdad", ARAST},
            {"Asia/Bahrain", ARAST},
            {"Asia/Baku", new String[] {"Hora de Azerbaiy\u00e1n", "AZT",
                                        "Hora de verano de Azerbaiy\u00e1n", "AZST"}},
            {"Asia/Bangkok", ICT},
            {"Asia/Beirut", EET},
            {"Asia/Bishkek", new String[] {"Hora de Kirguizist\u00e1n", "KGT",
                                           "Hora de verano de Kirguizist\u00e1n", "KGST"}},
            {"Asia/Brunei", new String[] {"Hora de Brunei", "BNT",
                                          "Hora de verano de Brunei", "BNST"}},
            {"Asia/Calcutta", IST},
            {"Asia/Chita", IRKT},
            {"Asia/Choibalsan", new String[] {"Hora de Choibalsan", "CHOT",
                                              "Hora de verano de Choibalsan", "CHOST"}},
            {"Asia/Chongqing", CTT},
            {"Asia/Chungking", CTT},
            {"Asia/Colombo", IST},
            {"Asia/Dacca", BDT},
            {"Asia/Dhaka", BDT},
            {"Asia/Dili", new String[] {"Hora de Timor Leste", "TLT",
                                        "Hora de verano de Timor Leste", "TLST"}},
            {"Asia/Damascus", EET},
            {"Asia/Dubai", GST},
            {"Asia/Dushanbe", new String[] {"Hora de Tajikist\u00e1n", "TJT",
                                            "Hora de verano de Tajikist\u00e1n", "TJST"}},
            {"Asia/Gaza", EET},
            {"Asia/Harbin", CTT},
            {"Asia/Hebron", EET},
            {"Asia/Ho_Chi_Minh", ICT},
            {"Asia/Hong_Kong", HKT},
            {"Asia/Hovd", new String[] {"Hora de Hovd", "HOVT",
                                        "Hora de verano de Hovd", "HOVST"}},
            {"Asia/Irkutsk", IRKT},
            {"Asia/Istanbul", EET},
            {"Asia/Jakarta", WIT},
            {"Asia/Jayapura", new String[] {"Hora de Indonesia Oriental", "WIT",
                                            "Hora de verano de Indonesia Oriental", "EIST"}},
            {"Asia/Kabul", new String[] {"Hora de Afganist\u00e1n", "AFT",
                                         "Hora de verano de Afganist\u00e1n", "AFST"}},
            {"Asia/Kamchatka", new String[] {"Hora de Petropavlovsk-Kamchatski", "PETT",
                                             "Hora de verano de Petropavlovsk-Kamchatski", "PETST"}},
            {"Asia/Karachi", PKT},
            {"Asia/Kashgar", XJT},
            {"Asia/Kathmandu", NPT},
            {"Asia/Katmandu", NPT},
            {"Asia/Khandyga", new String[] {"Hora de Khandyga", "YAKT",
                                            "Hora de verano de Khandyga", "YAKST"}},
            {"Asia/Kolkata", IST},
            {"Asia/Krasnoyarsk", KRAT},
            {"Asia/Kuala_Lumpur", MYT},
            {"Asia/Kuching", MYT},
            {"Asia/Kuwait", ARAST},
            {"Asia/Macao", CTT},
            {"Asia/Macau", CTT},
            {"Asia/Magadan", new String[] {"Hora de Magad\u00e1n", "MAGT",
                                           "Hora de verano de Magad\u00e1n", "MAGST"}},
            {"Asia/Makassar", CIT},
            {"Asia/Manila", new String[] {"Hora de Filipinas", "PHT",
                                          "Hora de verano de Filipinas", "PHST"}},
            {"Asia/Muscat", GST},
            {"Asia/Nicosia", EET},
            {"Asia/Novokuznetsk", KRAT},
            {"Asia/Novosibirsk", NOVT},
            {"Asia/Oral", new String[] {"Hora de Uralsk", "ORAT",
                                        "Hora de verano de Uralsk", "ORAST"}},
            {"Asia/Omsk", new String[] {"Hora de Omsk", "OMST",
                                        "Hora de verano de Omsk", "OMSST"}},
            {"Asia/Phnom_Penh", ICT},
            {"Asia/Pontianak", WIT},
            {"Asia/Pyongyang", KST},
            {"Asia/Qatar", ARAST},
            {"Asia/Qyzylorda", new String[] {"Hora de Qyzylorda", "QYZT",
                                             "Hora de verano de Qyzylorda", "QYZST"}},
            {"Asia/Rangoon", new String[] {"Hora de Myanmar", "MMT",
                                           "Hora de verano de Myanmar", "MMST"}},
            {"Asia/Riyadh", ARAST},
            {"Asia/Saigon", ICT},
            {"Asia/Sakhalin", new String[] {"Hora de Sajalin", "SAKT",
                                            "Hora de verano de Sajalin", "SAKST"}},
            {"Asia/Samarkand", UZT},
            {"Asia/Seoul", KST},
            {"Asia/Singapore", SGT},
            {"Asia/Srednekolymsk", new String[] {"Srednekolymsk Time", "SRET",
                                                 "Srednekolymsk Daylight Time", "SREDT"}},
            {"Asia/Taipei", CTT},
            {"Asia/Tel_Aviv", ISRAEL},
            {"Asia/Tashkent", UZT},
            {"Asia/Tbilisi", new String[] {"Hora de Georgia", "GET",
                                           "Hora de verano de Georgia", "GEST"}},
            {"Asia/Tehran", IRT},
            {"Asia/Thimbu", BTT},
            {"Asia/Thimphu", BTT},
            {"Asia/Ujung_Pandang", CIT},
            {"Asia/Ulaanbaatar", ULAT},
            {"Asia/Ulan_Bator", ULAT},
            {"Asia/Urumqi", XJT},
            {"Asia/Ust-Nera", new String[] {"Hora de Ust-Nera", "VLAT",
                                            "Hora de verano de Ust-Nera", "VLAST"}},
            {"Asia/Vientiane", ICT},
            {"Asia/Vladivostok", VLAT},
            {"Asia/Yakutsk", YAKT},
            {"Asia/Yekaterinburg", new String[] {"Hora de Ekaterinburgo", "YEKT",
                                                 "Hora de verano de Ekaterinburgo", "YEKST"}},
            {"Asia/Yerevan", ARMT},
            {"Atlantic/Azores", new String[] {"Hora de Azores", "AZOT",
                                              "Hora de verano de Azores", "AZOST"}},
            {"Atlantic/Bermuda", AST},
            {"Atlantic/Canary", WET},
            {"Atlantic/Cape_Verde", new String[] {"Hora de Cabo Verde", "CVT",
                                                  "Hora de verano de Cabo Verde", "CVST"}},
            {"Atlantic/Faeroe", WET},
            {"Atlantic/Faroe", WET},
            {"Atlantic/Jan_Mayen", CET},
            {"Atlantic/Madeira", WET},
            {"Atlantic/Reykjavik", GMT},
            {"Atlantic/South_Georgia", new String[] {"Hora est\u00e1ndar de Georgia del Sur", "GST",
                                                     "Hora de verano de Georgia del Sur", "GDT"}},
            {"Atlantic/St_Helena", GMT},
            {"Atlantic/Stanley", new String[] {"Hora de las islas Malvinas", "FKT",
                                               "Hora de verano de las islas Malvinas", "FKST"}},
            {"Australia/ACT", EST_NSW},
            {"Australia/Adelaide", ADELAIDE},
            {"Australia/Brisbane", BRISBANE},
            {"Australia/Broken_Hill", BROKEN_HILL},
            {"Australia/Canberra", EST_NSW},
            {"Australia/Currie", EST_NSW},
            {"Australia/Darwin", DARWIN},
            {"Australia/Eucla", new String[] {"Hora est\u00E1ndar de Australia Central y Occidental", "ACWST",
                                              "Hora est\u00E1ndar de verano de Australia Central y Occidental", "ACWDT"}},
            {"Australia/Hobart", TASMANIA},
            {"Australia/LHI", LORD_HOWE},
            {"Australia/Lindeman", BRISBANE},
            {"Australia/Lord_Howe", LORD_HOWE},
            {"Australia/Melbourne", VICTORIA},
            {"Australia/North", DARWIN},
            {"Australia/NSW", EST_NSW},
            {"Australia/Perth", WST_AUS},
            {"Australia/Queensland", BRISBANE},
            {"Australia/South", ADELAIDE},
            {"Australia/Sydney", EST_NSW},
            {"Australia/Tasmania", TASMANIA},
            {"Australia/Victoria", VICTORIA},
            {"Australia/West", WST_AUS},
            {"Australia/Yancowinna", BROKEN_HILL},
            {"BET", BRT},
            {"BST", BDT},
            {"Brazil/Acre", ACT},
            {"Brazil/DeNoronha", NORONHA},
            {"Brazil/East", BRT},
            {"Brazil/West", AMT},
            {"Canada/Atlantic", AST},
            {"Canada/Central", CST},
            {"Canada/East-Saskatchewan", CST},
            {"Canada/Eastern", EST},
            {"Canada/Mountain", MST},
            {"Canada/Newfoundland", NST},
            {"Canada/Pacific", PST},
            {"Canada/Yukon", PST},
            {"Canada/Saskatchewan", CST},
            {"CAT", CAT},
            {"CET", CET},
            {"Chile/Continental", CLT},
            {"Chile/EasterIsland", EASTER},
            {"CST6CDT", CST},
            {"Cuba", CUBA},
            {"EAT", EAT},
            {"EET", EET},
            {"Egypt", EET},
            {"Eire", DUBLIN},
            {"EST5EDT", EST},
            {"Etc/Greenwich", GMT},
            {"Etc/UCT", UTC},
            {"Etc/Universal", UTC},
            {"Etc/UTC", UTC},
            {"Etc/Zulu", UTC},
            {"Europe/Amsterdam", CET},
            {"Europe/Andorra", CET},
            {"Europe/Athens", EET},
            {"Europe/Belfast", GMTBST},
            {"Europe/Belgrade", CET},
            {"Europe/Berlin", CET},
            {"Europe/Bratislava", CET},
            {"Europe/Brussels", CET},
            {"Europe/Budapest", CET},
            {"Europe/Busingen", CET},
            {"Europe/Chisinau", EET},
            {"Europe/Copenhagen", CET},
            {"Europe/Dublin", DUBLIN},
            {"Europe/Gibraltar", CET},
            {"Europe/Guernsey", GMTBST},
            {"Europe/Helsinki", EET},
            {"Europe/Isle_of_Man", GMTBST},
            {"Europe/Istanbul", EET},
            {"Europe/Jersey", GMTBST},
            {"Europe/Kaliningrad", EET},
            {"Europe/Kiev", EET},
            {"Europe/Lisbon", WET},
            {"Europe/Ljubljana", CET},
            {"Europe/London", GMTBST},
            {"Europe/Luxembourg", CET},
            {"Europe/Madrid", CET},
            {"Europe/Malta", CET},
            {"Europe/Mariehamn", EET},
            {"Europe/Minsk", MSK},
            {"Europe/Monaco", CET},
            {"Europe/Moscow", MSK},
            {"Europe/Nicosia", EET},
            {"Europe/Oslo", CET},
            {"Europe/Podgorica", CET},
            {"Europe/Prague", CET},
            {"Europe/Riga", EET},
            {"Europe/Rome", CET},
            {"Europe/Samara", new String[] {"Hora de Samara", "SAMT",
                                            "Hora de verano de Samara", "SAMST"}},
            {"Europe/San_Marino", CET},
            {"Europe/Sarajevo", CET},
            {"Europe/Simferopol", MSK},
            {"Europe/Skopje", CET},
            {"Europe/Sofia", EET},
            {"Europe/Stockholm", CET},
            {"Europe/Tallinn", EET},
            {"Europe/Tirane", CET},
            {"Europe/Tiraspol", EET},
            {"Europe/Uzhgorod", EET},
            {"Europe/Vaduz", CET},
            {"Europe/Vatican", CET},
            {"Europe/Vienna", CET},
            {"Europe/Vilnius", EET},
            {"Europe/Volgograd", MSK},
            {"Europe/Warsaw", CET},
            {"Europe/Zagreb", CET},
            {"Europe/Zaporozhye", EET},
            {"Europe/Zurich", CET},
            {"GB", GMTBST},
            {"GB-Eire", GMTBST},
            {"Greenwich", GMT},
            {"Hongkong", HKT},
            {"Iceland", GMT},
            {"Iran", IRT},
            {"IST", IST},
            {"Indian/Antananarivo", EAT},
            {"Indian/Chagos", new String[] {"Hora del Territorio del Oc\u00e9ano \u00cdndico", "IOT",
                                            "Hora de verano del Territorio del Oc\u00e9ano \u00cdndico", "IOST"}},
            {"Indian/Christmas", new String[] {"Hora de la isla de Christmas", "CXT",
                                               "Hora de verano de la isla de Christmas", "CXST"}},
            {"Indian/Cocos", new String[] {"Hora de las islas Cocos", "CCT",
                                           "Hora de verano de las islas Cocos", "CCST"}},
            {"Indian/Comoro", EAT},
            {"Indian/Kerguelen", new String[] {"Hora de los Territorios Franceses del Sur y de la Ant\u00e1rtida", "TFT",
                                               "Hora de verano de los Territorios Franceses del Sur y de la Ant\u00e1rtida", "TFST"}},
            {"Indian/Mahe", new String[] {"Hora de Seychelles", "SCT",
                                          "Hora de verano de Seychelles", "SCST"}},
            {"Indian/Maldives", new String[] {"Hora de Maldivas", "MVT",
                                              "Hora de verano de Maldivas", "MVST"}},
            {"Indian/Mauritius", new String[] {"Hora de Mauricio", "MUT",
                                               "Hora de verano de Mauricio", "MUST"}},
            {"Indian/Mayotte", EAT},
            {"Indian/Reunion", new String[] {"Hora de Reuni\u00f3n", "RET",
                                             "Hora de verano de Reuni\u00f3n", "REST"}},
            {"Israel", ISRAEL},
            {"Jamaica", EST},
            {"Japan", JST},
            {"Kwajalein", MHT},
            {"Libya", EET},
            {"MET", new String[] {"Hora de Europa Central", "MET",
                                  "Hora de verano de Europa Central", "MEST"}},
            {"Mexico/BajaNorte", PST},
            {"Mexico/BajaSur", MST},
            {"Mexico/General", CST},
            {"MIT", WST_SAMOA},
            {"MST7MDT", MST},
            {"Navajo", MST},
            {"NET", ARMT},
            {"NST", NZST},
            {"NZ", NZST},
            {"NZ-CHAT", CHAST},
            {"PLT", PKT},
            {"Portugal", WET},
            {"PRT", AST},
            {"Pacific/Apia", WST_SAMOA},
            {"Pacific/Auckland", NZST},
            {"Pacific/Bougainville", new String[] {"Bougainville Standard Time", "BST",
                                                   "Bougainville Daylight Time", "BST"}},
            {"Pacific/Chatham", CHAST},
            {"Pacific/Chuuk", CHUT},
            {"Pacific/Easter", EASTER},
            {"Pacific/Efate", new String[] {"Hora de Vanuatu", "VUT",
                                            "Hora de verano de Vanuatu", "VUST"}},
            {"Pacific/Enderbury", new String[] {"Hora de la isla Phoenix", "PHOT",
                                                "Hora de verano de la isla Phoenix", "PHOST"}},
            {"Pacific/Fakaofo", new String[] {"Hora de Tokelau", "TKT",
                                              "Hora de verano de Tokelau", "TKST"}},
            {"Pacific/Fiji", new String[] {"Hora de Fiji", "FJT",
                                           "Hora de verano de Fiji", "FJST"}},
            {"Pacific/Funafuti", new String[] {"Hora de Tuvalu", "TVT",
                                               "Hora de verano de Tuvalu", "TVST"}},
            {"Pacific/Galapagos", new String[] {"Hora de Gal\u00e1pagos", "GALT",
                                                "Hora de verano de Gal\u00e1pagos", "GALST"}},
            {"Pacific/Gambier", GAMBIER},
            {"Pacific/Guadalcanal", SBT},
            {"Pacific/Guam", ChST},
            {"Pacific/Johnston", HST},
            {"Pacific/Kiritimati", new String[] {"Hora de las islas Line", "LINT",
                                                 "Hora de verano de las islas Line", "LINST"}},
            {"Pacific/Kosrae", new String[] {"Hora de Kosrae", "KOST",
                                             "Hora de verano de Kosrae", "KOSST"}},
            {"Pacific/Kwajalein", MHT},
            {"Pacific/Majuro", MHT},
            {"Pacific/Marquesas", new String[] {"Hora de Marquesas", "MART",
                                                "Hora de verano de Marquesas", "MARST"}},
            {"Pacific/Midway", SAMOA},
            {"Pacific/Nauru", new String[] {"Hora de Nauru", "NRT",
                                            "Hora de verano de Nauru", "NRST"}},
            {"Pacific/Niue", new String[] {"Hora de Niue", "NUT",
                                           "Hora de verano de Niue", "NUST"}},
            {"Pacific/Norfolk", new String[] {"Hora de Norfolk", "NFT",
                                              "Hora de verano de Norfolk", "NFST"}},
            {"Pacific/Noumea", new String[] {"Hora de Nueva Caledonia", "NCT",
                                             "Hora de verano de Nueva Caledonia", "NCST"}},
            {"Pacific/Pago_Pago", SAMOA},
            {"Pacific/Palau", new String[] {"Hora de Palau", "PWT",
                                            "Hora de verano de Palau", "PWST"}},
            {"Pacific/Pitcairn", PITCAIRN},
            {"Pacific/Pohnpei", PONT},
            {"Pacific/Ponape", PONT},
            {"Pacific/Port_Moresby", new String[] {"Hora de Pap\u00faa-Nueva Guinea", "PGT",
                                                   "Hora de verano de Pap\u00faa-Nueva Guinea", "PGST"}},
            {"Pacific/Rarotonga", new String[] {"Hora de las islas Cook", "CKT",
                                                "Hora de verano de las islas Cook", "CKHST"}},
            {"Pacific/Saipan", ChST},
            {"Pacific/Samoa", SAMOA},
            {"Pacific/Tahiti", new String[] {"Hora de Tahit\u00ed", "TAHT",
                                             "Hora de verano de Tahit\u00ed", "TAHST"}},
            {"Pacific/Tarawa", new String[] {"Hora de las islas Gilbert", "GILT",
                                             "Hora de verano de las islas Gilbert", "GILST"}},
            {"Pacific/Tongatapu", new String[] {"Hora de Tonga", "TOT",
                                                "Hora de verano de Tonga", "TOST"}},
            {"Pacific/Truk", CHUT},
            {"Pacific/Wake", new String[] {"Hora de Wake", "WAKT",
                                           "Hora de verano de Wake", "WAKST"}},
            {"Pacific/Wallis", new String[] {"Hora de Wallis y Futuna", "WFT",
                                             "Hora de verano de Wallis y Futuna", "WFST"}},
            {"Pacific/Yap", CHUT},
            {"Poland", CET},
            {"PRC", CTT},
            {"PST8PDT", PST},
            {"ROK", KST},
            {"Singapore", SGT},
            {"SST", SBT},
            {"SystemV/AST4", AST},
            {"SystemV/AST4ADT", AST},
            {"SystemV/CST6", CST},
            {"SystemV/CST6CDT", CST},
            {"SystemV/EST5", EST},
            {"SystemV/EST5EDT", EST},
            {"SystemV/HST10", HST},
            {"SystemV/MST7", MST},
            {"SystemV/MST7MDT", MST},
            {"SystemV/PST8", PST},
            {"SystemV/PST8PDT", PST},
            {"SystemV/YST9", AKST},
            {"SystemV/YST9YDT", AKST},
            {"Turkey", EET},
            {"UCT", UTC},
            {"Universal", UTC},
            {"US/Alaska", AKST},
            {"US/Aleutian", HAST},
            {"US/Arizona", MST},
            {"US/Central", CST},
            {"US/Eastern", EST},
            {"US/Hawaii", HST},
            {"US/Indiana-Starke", CST},
            {"US/East-Indiana", EST},
            {"US/Michigan", EST},
            {"US/Mountain", MST},
            {"US/Pacific", PST},
            {"US/Pacific-New", PST},
            {"US/Samoa", SAMOA},
            {"UTC", UTC},
            {"VST", ICT},
            {"W-SU", MSK},
            {"WET", WET},
            {"Zulu", UTC},
        };
    }
}
