/*
 * Copyright (c) 2014, Oracle and/or its affiliates. All rights reserved.
 * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
 *
 * This code is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License version 2 only, as
 * published by the Free Software Foundation.
 *
 * This code is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
 * version 2 for more details (a copy is included in the LICENSE file that
 * accompanied this code).
 *
 * You should have received a copy of the GNU General Public License version
 * 2 along with this work; if not, write to the Free Software Foundation,
 * Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 * Please contact Oracle, 500 Oracle Parkway, Redwood Shores, CA 94065 USA
 * or visit www.oracle.com if you need additional information or have any
 * questions.
 */

import org.somewhere.ws.EchoRequest;
import org.somewhere.ws.EchoResponse;
import org.somewhere.ws.TestPort;

import java.util.ArrayList;

import javax.jws.WebService;
import javax.xml.namespace.QName;


/**
 * Simple Webservice implementation just copying xml part as is
 * from incoming request into outgoing response
 */
@WebService(
        endpointInterface = "org.somewhere.ws.TestPort",
        targetNamespace = "http://ws.somewhere.org/",
        serviceName = "TestService",
        portName = "TestPort")
public class ServiceImpl implements TestPort {

    public static final QName PORT_NAME = new QName("http://ws.somewhere.org/", "TestPort");
    public static final QName SERVICE_NAME = new QName("http://ws.somewhere.org/", "TestService");

    @Override
    public EchoResponse echo(EchoRequest request) {
        System.err.println( "request.getContent="+(ArrayList)(request.getContent()));
        return new CopyingResponse(request);
    }

}
